# Gtk::CellAreaBox Class Reference

TODO. More...

Inheritance diagram for Gtk::CellAreaBox:
[legend]
Collaboration diagram for Gtk::CellAreaBox:
[legend]

List of all members.

## Public Member Functions

virtual | ~CellAreaBox ()
GtkCellAreaBox* | gobj ()
| Provides access to the underlying C GObject.
const GtkCellAreaBox* | gobj () const
| Provides access to the underlying C GObject.
GtkCellAreaBox* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | pack_start (CellRenderer& renderer, bool expand=false, bool align=true, bool fixed=false)
void | pack_end (CellRenderer& renderer, bool expand=false, bool align=true, bool fixed=false)
int | get_spacing () const
void | set_spacing (int spacing)

## Protected Member Functions

| CellAreaBox ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::CellAreaBox > | wrap (GtkCellAreaBox* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

TODO.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::CellAreaBox::~CellAreaBox | ( | ) | `[virtual]`

Gtk::CellAreaBox::CellAreaBox | ( | ) | `[protected]`

## Member Function Documentation

int Gtk::CellAreaBox::get_spacing | ( | ) | const

const GtkCellAreaBox* Gtk::CellAreaBox::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::CellArea.

GtkCellAreaBox* Gtk::CellAreaBox::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::CellArea.

GtkCellAreaBox* Gtk::CellAreaBox::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gtk::CellArea.

void Gtk::CellAreaBox::pack_end | ( | CellRenderer& | renderer,
|  | bool | expand = `false`,
|  | bool | align = `true`,
|  | bool | fixed = `false`
| ) |  |

void Gtk::CellAreaBox::pack_start | ( | CellRenderer& | renderer,
|  | bool | expand = `false`,
|  | bool | align = `true`,
|  | bool | fixed = `false`
| ) |  |

void Gtk::CellAreaBox::set_spacing | ( | int | spacing ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::CellAreaBox > wrap | ( | GtkCellAreaBox * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellareabox.h